From 85e21d3cbbce23ac9583271b0df97623eea4ab03 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 12 Oct 2024 17:59:16 +0200
Subject: [PATCH] skip smartmatch and/or given/then using tests (RT #156057)

---
 t/block_defaults.t      | 1 +
 t/defined_or_defaults.t | 1 +
 t/string_defaults.t     | 1 +
 t/undef_defaults.t      | 1 +
 t/when.t                | 1 +
 t/where.t               | 1 +
 t/zero_defaults.t       | 1 +
 7 files changed, 7 insertions(+)

diff --git a/t/block_defaults.t b/t/block_defaults.t
index f1c0666..7586cce 100644
--- a/t/block_defaults.t
+++ b/t/block_defaults.t
@@ -7,6 +7,7 @@ use Test::More;
 
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test block defaults", 1 if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test block defaults", 1 if $] >= 5.041;
 }
 
 # if we don't load it up here, we get the "Devel::Declare not loaded soon enough" error
diff --git a/t/defined_or_defaults.t b/t/defined_or_defaults.t
index bd62b92..495d60e 100644
--- a/t/defined_or_defaults.t
+++ b/t/defined_or_defaults.t
@@ -8,6 +8,7 @@ use Test::More;
 # Skip the test before Method::Signatures can try to compile it and blow up.
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test where constraints" if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test where constraints" if $] >= 5.041;
 }
 
 {
diff --git a/t/string_defaults.t b/t/string_defaults.t
index 067b2e7..9e9776a 100644
--- a/t/string_defaults.t
+++ b/t/string_defaults.t
@@ -8,6 +8,7 @@ use Test::More;
 # Skip the test before Method::Signatures can try to compile it and blow up.
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test where constraints" if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test where constraints" if $] >= 5.041;
 }
 
 {
diff --git a/t/undef_defaults.t b/t/undef_defaults.t
index 925cefb..7d12007 100644
--- a/t/undef_defaults.t
+++ b/t/undef_defaults.t
@@ -8,6 +8,7 @@ use Test::More;
 # Skip the test before Method::Signatures can try to compile it and blow up.
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test where constraints" if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test where constraints" if $] >= 5.041;
 }
 
 {
diff --git a/t/when.t b/t/when.t
index b674931..2d8073b 100644
--- a/t/when.t
+++ b/t/when.t
@@ -8,6 +8,7 @@ use Test::More;
 # Skip the test before Method::Signatures can try to compile it and blow up.
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test where constraints" if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test where constraints" if $] >= 5.041;
 }
 
 use Method::Signatures;
diff --git a/t/where.t b/t/where.t
index 09f027d..98f87a5 100644
--- a/t/where.t
+++ b/t/where.t
@@ -12,6 +12,7 @@ use GenErrorRegex qw< required_placeholder_error placeholder_badval_error placeh
 # Skip the test before Method::Signatures can try to compile it and blow up.
 BEGIN {
     plan skip_all => "Perl 5.10.1 or higher required to test where constraints" if $] < 5.01001;
+    plan skip_all => "Perl 5.40 or lower required to test where constraints" if $] >= 5.041;
 }
 
 use Method::Signatures;
diff --git a/t/zero_defaults.t b/t/zero_defaults.t
index e8c62fd..aebba94 100644
--- a/t/zero_defaults.t
+++ b/t/zero_defaults.t
@@ -7,6 +7,7 @@ use Test::More;
 
 BEGIN {
     plan skip_all => "Perl 5.10 or higher required to test default conditions", 1 if $] < 5.010;
+    plan skip_all => "Perl 5.40 or lower required to test default conditions", 1 if $] >= 5.041;
 }
 
 {
-- 
2.11.0

